| Bsoft 2.0.5 Bernard's software package

Functions | Variables
Matrix3.cpp File Reference

Matrix manipulation functions. More...

`#include "Matrix3.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
ostream & | operator<< (ostream &output, Matrix3 &m)
int | matrix3_show_hp (Matrix3 &mat)
| Print out a matrix. More...

## Variables
int | verbose

## Detailed Description

Matrix manipulation functions.

Author
  Bernard Heymann

Date
  Created: 20000501
  Modified: 20150111

Definition in file Matrix3.cpp.

## Function Documentation

## ◆ matrix3_show_hp()

int matrix3_show_hp | ( | Matrix3 & | mat | ) |

Print out a matrix.

Parameters

  mat | 3x3 matrix.

Returns
  int 0.

      Matrix elements less than 1e-6 are set to zero for display.

Definition at line 31 of file Matrix3.cpp.

## ◆ operator<<()

ostream& operator<< | ( | ostream & | output,
|  | Matrix3 & | m
| ) |  |

Definition at line 15 of file Matrix3.cpp.

## Variable Documentation

## ◆ verbose

int verbose